/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.router;

import static de.ozgcloud.eingang.common.formdata.FormHeaderTestFactory.*;

import de.ozgcloud.vorgang.vorgang.GrpcEingangHeader;
import de.ozgcloud.vorgang.vorgang.GrpcServiceKonto;

public class GrpcEingangHeaderTestFactory {

	public static GrpcEingangHeader create() {
		return createBuilder().build();
	}

	public static GrpcEingangHeader.Builder createBuilder() {
		return GrpcEingangHeader.newBuilder()
				.setRequestId(REQUEST_ID)
				.setCreatedAt(CREATED_AT_STR)
				.setFormId(FORM_ID)
				.setFormEngineName(FORM_ENGINE_NAME)
				.setFormName(FORM_NAME)
				.setSender(SENDER)
				.setServiceKonto(GrpcServiceKonto.newBuilder().build())
				.setVorgangNummer(VORGANG_NUMMER);
	}
}
